karmic version is lower then jaunty-updates

Bug #467165 reported by Arseny Klimovsky on 2009-10-31
46
This bug affects 6 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Martin Pitt
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Martin Pitt
Lucid
Undecided
Martin Pitt

Bug Description

Binary package hint: tzdata

Vesions of tzdata are:
jaunty-update 2009o+repack-0ubuntu0.9.04.2
karmic 2009o-1ubuntu2

So, when I upgrade from 9.04 to 9.10 tzdata is not upgrading

Seeing this also.

zasq (zasq) wrote :

Yes, and the same problem with the following packages:

sun-java6-bin (all packages):
jaunty: 6-16-0ubuntu1.9.04
karmic: 6-15-1 (karmic)

Just for information - not having problems yet (except that tzdata-java) can't be installed.

In any case the easy resolution is to force the installation of the
distribution's version (I used synaptic to do this, in the Versions tab
of the package properties; I'm sure it can be done at the commandline
but life's too short).

Martin Pitt (pitti) on 2009-11-12
Changed in tzdata (Ubuntu Lucid):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r-1ubuntu1

---------------
tzdata (2009r-1ubuntu1) lucid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control, debian/rules, debian/source/format: Revert conversion to
      3.0 (quilt) source format, not supported yet in Launchpad.
  * SRUs for 2009r will use a different orig.tar.gz naming which will be lower
    than 2009r. (LP: #467165)
  * 2009r fixes DST for San Luis, Argentina. (LP: #472720)

tzdata (2009r-1) unstable; urgency=low

  * New upstream release.
  * Don't remove .pc/ in clean target.

tzdata (2009q-2) unstable; urgency=low

  * Fix the "DST" offset of Dhaka, broken by the fix for #552110.

tzdata (2009q-1) unstable; urgency=medium

  * New upstream release.
  * Use 3.0 (quilt) source format, drop build dependency on quilt.

tzdata (2009p-1) unstable; urgency=low

  * New upstream release. closes: #551195.
    - Drop argentinas-dst-2009.diff (obsolete).

tzdata (2009o-2) unstable; urgency=low

  * debian/patches/bangladesh-openended.diff: Fix broken Asia/Dhaka
    DST. closes: #552110.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 12:33:59 +0100

Changed in tzdata (Ubuntu Lucid):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Updates for hardy to karmic uploaded to queue, requiring processing by ubuntu-sru.

Dapper isn't affected, since the tz data is shipped in langpack-locales.

Changed in tzdata (Ubuntu Dapper):
status: New → Invalid
Changed in tzdata (Ubuntu Hardy):
status: New → In Progress
Changed in tzdata (Ubuntu Intrepid):
status: New → In Progress
Changed in tzdata (Ubuntu Karmic):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
Changed in tzdata (Ubuntu Jaunty):
status: New → In Progress

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Intrepid):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r-0ubuntu9.10

---------------
tzdata (2009r-0ubuntu9.10) karmic-proposed; urgency=low

  * New upstream release:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * This version number his higher than the previous hardy/intrepid/jaunty
    SRUs. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 12:54:45 +0100

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu9.04

---------------
tzdata (2009r~repack-0ubuntu9.04) jaunty-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:37:22 +0100

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu0.8.10

---------------
tzdata (2009r~repack-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:43:57 +0100

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009r~repack-0ubuntu0.8.04

---------------
tzdata (2009r~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream version 2009r:
    - Update time zones for some Australian stations on Antarctica
    - Fix historical DST rules for Hong Kong
    - Update DST rules for Syria (effective from October)
    - Update DST rules for Argentina (includes our patch
      argentinas-dst-2009.diff and fixes DST for province San Luis)
      (LP: #472720)
    - Split out new TZ Asia/Novokuznetsk
  * Fix version number ordering between Ubuntu releases by renaming
    orig.tar.gz. (LP: #467165)
  * Drop argentinas-dst-2009.diff, included upstream.
 -- Martin Pitt <email address hidden> Thu, 12 Nov 2009 13:48:54 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers